void printi(int val);
void printstr(char *str);

typedef int int_t;
typedef int (*func_t)(int);

struct sample {
  int_t val;
  func_t func;
};

int main()
{
  struct sample s;

  printi(sizeof(struct sample));

  printi(sizeof(s));

  s.val = 1;
  printi(s.val);

  return 0;
}
